Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v1
Interface OdeInternalInstance

All Known Implementing Classes:
  RuntimeInstanceImpl

    public interface OdeInternalInstance

Method Summary
`void` | `cancel(PickResponseChannel responseChannel)`
`void` | `cancelOutstandingRequests(java.lang.String channelId)`
`void` | `commitChanges(VariableInstance var, org.apache.ode.bpel.rtrep.v1.ScopeFrame scopeFrame, org.w3c.dom.Node value)`
`void` | `completedFault(FaultData faultData)`
`void` | `completedOk()`
`org.w3c.dom.Node` | `convertEndpointReference(org.w3c.dom.Element epr, org.w3c.dom.Node lvaluePtr)`
`ExtensionOperation` | `createExtensionActivityImplementation(javax.xml.namespace.QName name)`
`java.lang.Long` | `createScopeInstance(java.lang.Long scopeInstanceId, OScope scopedef)`
`org.w3c.dom.Node` | `fetchMyRoleEndpointReferenceData(PartnerLinkInstance link)`
`java.lang.String` | `fetchMySessionId(PartnerLinkInstance linkInstance)`
`org.w3c.dom.Node` | `fetchPartnerRoleEndpointReferenceData(PartnerLinkInstance link)`
`org.w3c.dom.Node` | `fetchVariableData(VariableInstance variable, org.apache.ode.bpel.rtrep.v1.ScopeFrame scopeFrame, boolean forWriting)`
`org.w3c.dom.Node` | `fetchVariableData(VariableInstance var, org.apache.ode.bpel.rtrep.v1.ScopeFrame scopeFrame, OMessageVarType.Part part, boolean forWriting)`
`void` | `forceFlush()`
`long` | `genId()`
`java.net.URI` | `getBaseResourceURI()`
`ExpressionLanguageRuntimeRegistry` | `getExpLangRuntime()`
`org.w3c.dom.Element` | `getMyRequest(java.lang.String mexId)`
`org.w3c.dom.Node` | `getPartData(org.w3c.dom.Element message, OMessageVarType.Part part)`
`javax.xml.namespace.QName` | `getPartnerFault(java.lang.String mexId)`
`java.lang.String` | `getPartnerFaultExplanation(java.lang.String mexId)`
`org.w3c.dom.Element` | `getPartnerResponse(java.lang.String mexId)`
`javax.xml.namespace.QName` | `getPartnerResponseType(java.lang.String mexId)`
`java.lang.Long` | `getPid()`
`org.w3c.dom.Node` | `getProcessProperty(javax.xml.namespace.QName propertyName)`
`org.w3c.dom.Node` | `getSourceEPR(java.lang.String mexId)`
`java.lang.String` | `getSourceSessionId(java.lang.String mexId)`
`void` | `initializePartnerLinks(java.lang.Long parentScopeId, java.util.Collection<OPartnerLink> partnerLinks)`
`void` | `initializePartnersSessionId(PartnerLinkInstance instance, java.lang.String partnersSessionId)`
`org.w3c.dom.Node` | `initializeVariable(VariableInstance var, org.apache.ode.bpel.rtrep.v1.ScopeFrame scopeFrame, org.w3c.dom.Node val)`
`java.lang.String` | `invoke(java.lang.String invokeId, PartnerLinkInstance instance, javax.wsdl.Operation operation, org.w3c.dom.Element outboundMsg, java.lang.Object object)`
`boolean` | `isCorrelationInitialized(CorrelationSetInstance correlationSet)`
`boolean` | `isPartnerRoleEndpointInitialized(PartnerLinkInstance pLink)`
`boolean` | `isVariableInitialized(VariableInstance var)`
`CorrelationKey` | `readCorrelation(CorrelationSetInstance cset)`
`java.lang.String` | `readProperty(VariableInstance variable, OProcess.OProperty property)`
`void` | `registerActivityForRecovery(ActivityRecoveryChannel recoveryChannel, long id, java.lang.String reason, java.util.Date dateTime, org.w3c.dom.Element details, java.lang.String[] actions, int retryCount)`
`void` | `registerTimer(TimerResponseChannel timerChannel, java.util.Date future)`
`void` | `releasePartnerMex(java.lang.String mexId, boolean instanceSucceeded)`
`void` | `reply(PartnerLinkInstance plink, java.lang.String opName, java.lang.String bpelmex, org.w3c.dom.Element element, javax.xml.namespace.QName fault)`
`void` | `select(PickResponseChannel pickResponseChannel, java.util.Date timeout, boolean createInstance, Selector[] selectors)`
`void` | `sendEvent(ProcessInstanceStartedEvent evt)`
`void` | `sendEvent(ScopeEvent event)`
`void` | `terminate()`
`void` | `unregisterActivityForRecovery(ActivityRecoveryChannel recoveryChannel)`
`void` | `writeCorrelation(CorrelationSetInstance cset, CorrelationKey ckeyVal)`
`void` | `writeEndpointReference(PartnerLinkInstance plval, org.w3c.dom.Element element)`

Method Detail

### isCorrelationInitialized

    boolean isCorrelationInitialized(CorrelationSetInstance correlationSet)

### readProperty

    java.lang.String readProperty(VariableInstance variable,
                                  OProcess.OProperty property)
                                  throws FaultException

  Throws:
    `FaultException`

### writeCorrelation

    void writeCorrelation(CorrelationSetInstance cset,
                          CorrelationKey ckeyVal)
                          throws FaultException

  Throws:
    `FaultException`

### initializeVariable

    org.w3c.dom.Node initializeVariable(VariableInstance var,
                                        org.apache.ode.bpel.rtrep.v1.ScopeFrame scopeFrame,
                                        org.w3c.dom.Node val)
                                        throws ExternalVariableModuleException

  Throws:
    `ExternalVariableModuleException`

### genId

    long genId()

### createScopeInstance

    java.lang.Long createScopeInstance(java.lang.Long scopeInstanceId,
                                       OScope scopedef)

### initializePartnerLinks

    void initializePartnerLinks(java.lang.Long parentScopeId,
                                java.util.Collection<OPartnerLink> partnerLinks)

### invoke

    java.lang.String invoke(java.lang.String invokeId,
                            PartnerLinkInstance instance,
                            javax.wsdl.Operation operation,
                            org.w3c.dom.Element outboundMsg,
                            java.lang.Object object)
                            throws FaultException

  Throws:
    `FaultException`

### getPartData

    org.w3c.dom.Node getPartData(org.w3c.dom.Element message,
                                 OMessageVarType.Part part)

### getPartnerResponse

    org.w3c.dom.Element getPartnerResponse(java.lang.String mexId)

### isPartnerRoleEndpointInitialized

    boolean isPartnerRoleEndpointInitialized(PartnerLinkInstance pLink)

### getSourceSessionId

    java.lang.String getSourceSessionId(java.lang.String mexId)

### getSourceEPR

    org.w3c.dom.Node getSourceEPR(java.lang.String mexId)

### writeEndpointReference

    void writeEndpointReference(PartnerLinkInstance plval,
                                org.w3c.dom.Element element)

### releasePartnerMex

    void releasePartnerMex(java.lang.String mexId,
                           boolean instanceSucceeded)

### getPartnerFault

    javax.xml.namespace.QName getPartnerFault(java.lang.String mexId)

### getPartnerResponseType

    javax.xml.namespace.QName getPartnerResponseType(java.lang.String mexId)

### getPartnerFaultExplanation

    java.lang.String getPartnerFaultExplanation(java.lang.String mexId)

### initializePartnersSessionId

    void initializePartnersSessionId(PartnerLinkInstance instance,
                                     java.lang.String partnersSessionId)

### getMyRequest

    org.w3c.dom.Element getMyRequest(java.lang.String mexId)

### registerTimer

    void registerTimer(TimerResponseChannel timerChannel,
                       java.util.Date future)

### registerActivityForRecovery

    void registerActivityForRecovery(ActivityRecoveryChannel recoveryChannel,
                                     long id,
                                     java.lang.String reason,
                                     java.util.Date dateTime,
                                     org.w3c.dom.Element details,
                                     java.lang.String[] actions,
                                     int retryCount)

### unregisterActivityForRecovery

    void unregisterActivityForRecovery(ActivityRecoveryChannel recoveryChannel)

### select

    void select(PickResponseChannel pickResponseChannel,
                java.util.Date timeout,
                boolean createInstance,
                Selector[] selectors)
                throws FaultException

  Throws:
    `FaultException`

### cancelOutstandingRequests

    void cancelOutstandingRequests(java.lang.String channelId)

### readCorrelation

    CorrelationKey readCorrelation(CorrelationSetInstance cset)

### getExpLangRuntime

    ExpressionLanguageRuntimeRegistry getExpLangRuntime()

### fetchMyRoleEndpointReferenceData

    org.w3c.dom.Node fetchMyRoleEndpointReferenceData(PartnerLinkInstance link)

### fetchPartnerRoleEndpointReferenceData

    org.w3c.dom.Node fetchPartnerRoleEndpointReferenceData(PartnerLinkInstance link)
                                                           throws FaultException

  Throws:
    `FaultException`

### fetchMySessionId

    java.lang.String fetchMySessionId(PartnerLinkInstance linkInstance)

### cancel

    void cancel(PickResponseChannel responseChannel)

### convertEndpointReference

    org.w3c.dom.Node convertEndpointReference(org.w3c.dom.Element epr,
                                              org.w3c.dom.Node lvaluePtr)

### commitChanges

    void commitChanges(VariableInstance var,
                       org.apache.ode.bpel.rtrep.v1.ScopeFrame scopeFrame,
                       org.w3c.dom.Node value)
                       throws ExternalVariableModuleException

  Throws:
    `ExternalVariableModuleException`

### fetchVariableData

    org.w3c.dom.Node fetchVariableData(VariableInstance var,
                                       org.apache.ode.bpel.rtrep.v1.ScopeFrame scopeFrame,
                                       OMessageVarType.Part part,
                                       boolean forWriting)
                                       throws FaultException

  Throws:
    `FaultException`

### sendEvent

    void sendEvent(ScopeEvent event)

### sendEvent

    void sendEvent(ProcessInstanceStartedEvent evt)

### getPid

    java.lang.Long getPid()

### getBaseResourceURI

    java.net.URI getBaseResourceURI()

### isVariableInitialized

    boolean isVariableInitialized(VariableInstance var)

### completedFault

    void completedFault(FaultData faultData)

### completedOk

    void completedOk()

### fetchVariableData

    org.w3c.dom.Node fetchVariableData(VariableInstance variable,
                                       org.apache.ode.bpel.rtrep.v1.ScopeFrame scopeFrame,
                                       boolean forWriting)
                                       throws FaultException

  Throws:
    `FaultException`

### createExtensionActivityImplementation

    ExtensionOperation createExtensionActivityImplementation(javax.xml.namespace.QName name)

### terminate

    void terminate()

### forceFlush

    void forceFlush()

### reply

    void reply(PartnerLinkInstance plink,
               java.lang.String opName,
               java.lang.String bpelmex,
               org.w3c.dom.Element element,
               javax.xml.namespace.QName fault)
               throws FaultException

  Throws:
    `FaultException`

### getProcessProperty

    org.w3c.dom.Node getProcessProperty(javax.xml.namespace.QName propertyName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD